# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install python-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:              audio-convert-mod
Version:           3.46.0b
Release:           alt2_14
BuildArch:         noarch
Summary:           A simple audio file converter that supports many formats
Group:             Sound
License:           GPLv2+
URL:               http://www.diffingo.com/oss/audio-convert-mod
Source0:           http://downloads.diffingo.com/audio-convert-mod/audio-convert-mod-%{version}.tar.bz2
Patch0:            acm-ape-notags.patch

BuildRequires:     desktop-file-utils
# Pulls gettext and autotools
BuildRequires:     intltool
BuildRequires:     python >= 2.4
# Required for tags test
BuildRequires:     python-module-mutagen

Requires:          python >= 2.4
Requires:          python-module-pygtk-libglade
Requires:          python-module-notify
# FOSS encoders, decoders, taggers
Requires:          flac
Requires:          vorbis-tools
Requires:          libwavpack wavpack
Requires:          python-module-mutagen
Source44: import.info

%description
audio-convert-mod is a simple audio file converter supporting various formats
via external binaries. It allows for the batch conversion of audio files, either
from directly within the program or from the file manager. Drag-and-drop
conversion is also supported. File tags/metadata are preserved when possible.

%prep
%setup -q
pushd src/audio_convert_mod
%patch0 -p0 -b .apetag
popd

%build
%configure
make

%install
%makeinstall_std

desktop-file-install --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%check
make check

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/audio-convert-mod.desktop

%changelog
* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 3.46.0b-alt2_14
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 3.46.0b-alt2_12
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 3.46.0b-alt2_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 3.46.0b-alt2_10
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 3.46.0b-alt2_9
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 3.46.0b-alt2_8
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 3.46.0b-alt2_7
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 3.46.0b-alt2_6
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 3.46.0b-alt1_6
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 3.46.0b-alt1_5
- regenerated with 0.46 R::S::C

